OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::Queue< TDatums, TQueue > Class Template Reference

`#include <queue.hpp>`

Inherits op::QueueBase< TDatums, TQueue >.

## Public Member Functions
| Queue (const long long maxSize)
virtual | ~Queue ()
TDatums | front () const
Public Member Functions inherited from op::QueueBase< TDatums, TQueue >
| QueueBase (const long long maxSize=-1)
virtual | ~QueueBase ()
bool | forceEmplace (TDatums &tDatums)
bool | tryEmplace (TDatums &tDatums)
bool | waitAndEmplace (TDatums &tDatums)
bool | forcePush (const TDatums &tDatums)
bool | tryPush (const TDatums &tDatums)
bool | waitAndPush (const TDatums &tDatums)
bool | tryPop (TDatums &tDatums)
bool | tryPop ()
bool | waitAndPop (TDatums &tDatums)
bool | waitAndPop ()
bool | empty () const
void | stop ()
void | stopPusher ()
void | addPopper ()
void | addPusher ()
bool | isRunning () const
bool | isFull () const
size_t | size () const
void | clear ()

## Additional Inherited Members
Protected Member Functions inherited from op::QueueBase< TDatums, TQueue >
unsigned long long | getMaxSize () const
Protected Attributes inherited from op::QueueBase< TDatums, TQueue >
std::mutex | mMutex
long long | mPoppers
long long | mPushers
long long | mMaxPoppersPushers
bool | mPopIsStopped
bool | mPushIsStopped
std::condition_variable | mConditionVariable
TQueue | mTQueue

## Constructor & Destructor Documentation

template<typename TDatums , typename TQueue >

op::Queue< TDatums, TQueue >::Queue | ( | const long long | maxSize | ) |
| explicit

template<typename TDatums , typename TQueue >

op::Queue< TDatums, TQueue >::~Queue | ( |  | ) |
| virtual

Initial value:
{
typedef typename TQueue::value_type underlyingValueType

## Member Function Documentation

template<typename TDatums , typename TQueue >

TDatums op::Queue< TDatums, TQueue >::front | ( |  | ) | const
| virtual

Implements op::QueueBase< TDatums, TQueue >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/queue.hpp